This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 239155 - (perl-Class-Gomor) Review Request: perl-Class-Gomor - Another class and object builder
Review Request: perl-Class-Gomor - Another class and object builder
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: DBIx-SQLite-Simple perl-Net-Write
  Show dependency treegraph
 
Reported: 2007-05-05 09:16 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 14:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:16:32 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Class-Gomor.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Class-Gomor-1.01-1.fc7.src.rpm

Description: 

This module is yet another class builder. This one adds parameter checking in
new constructor, that is to check for attributes existence, and definedness.
Comment 1 Chris Weyl 2007-05-06 14:07:25 EDT
Missing BR's on perl(Test::More), perl(ExtUtils::MakeMaker), perl(Test::Pod),
perl(Test::Pod::Coverage) [though the last one isn't a blocker].

There's an examples/ directory, why not include it?  For the purposes of this
review, I've added it to %doc.

Add examples/ to %doc and the missing BR's, and I'll approve :)

+source files match upstream:
 53f611cd26439fa35ce1e84d700d777a  Class-Gomor-1.01.tar.gz
 53f611cd26439fa35ce1e84d700d777a  ../Class-Gomor-1.01.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text included in package.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate. (noarch)
+ %clean is present.
+ package installs properly
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Class-Gomor-1.01-1.fc6.noarch.rpm
 == rpmlint
 == provides
 perl(Class::Gomor) = 1.01
 perl(Class::Gomor::Array) = 1.01
 perl(Class::Gomor::Hash) = 1.01
 perl-Class-Gomor = 1.01-0.1.fc6
 == requires
 perl(:MODULE_COMPAT_5.8.8)  
 perl(Carp)  
 perl(Class::Gomor)  
 perl(Data::Dumper)  
 perl(Exporter)  
 perl(strict)  
 perl(warnings)
+ %check is present and all tests pass:
 All tests successful.
 Files=12, Tests=16,  1 wallclock secs ( 0.60 cusr +  0.18 csys =  0.78 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 2 Sindre Pedersen Bjørdal 2007-05-06 17:28:03 EDT
Updated: 

SPEC: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Class-Gomor.spec
SRPM:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Class-Gomor-1.01-2.fc7.src.rpm

Changes:
- Add missing BRs
- Add examples dir to %%doc

rpmlint is silent here, but it was silent before as well.
Comment 3 Chris Weyl 2007-05-07 10:24:24 EDT
APPROVED
Comment 4 Sindre Pedersen Bjørdal 2007-05-08 11:00:46 EDT
New Package CVS Request
=======================
Package Name: perl-Class-Gomor
Short Description: Another class and object builder
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaa@redhat.com
Comment 5 Sindre Pedersen Bjørdal 2007-05-30 19:16:54 EDT
Seems the F7 branch wasn't created during merge, please add it.

New Package CVS Request
=======================
Package Name: perl-Class-Gomor
Short Description: Another class and object builder
Owners: foolish@guezz.net
Branches: F-7
Comment 6 Jason Tibbitts 2007-06-01 14:01:01 EDT
Done.

Please don't open tickets just to make CVS requests.

Note You need to log in before you can comment on or make changes to this bug.